Summary:        Sophisticated exporter for custom-built routines
Name:           perl-Sub-Exporter
Version:        0.988
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sub-Exporter
Source0:        https://cpan.metacpan.org/modules/by-module/Sub/Sub-Exporter-%{version}.tar.gz
BuildRequires:  coreutils, findutils, make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Carp), perl(Data::OptList) >= 0.1, perl(Package::Generator), perl(Params::Util) >= 0.14
BuildRequires:  perl(strict), perl(Sub::Install) >= 0.92, perl(warnings), perl(base)
BuildRequires:  perl(blib), perl(Exporter), perl(File::Spec), perl(lib), perl(subs), perl(Test::More) >= 0.96
BuildRequires:  perl(CPAN::Meta) >= 2.120900, perl-libs, perl(Package::Generator)
BuildArch:      noarch

%global __provides_exclude_from ^%{_pkgdocdir}/
%global __requires_exclude_from ^%{_pkgdocdir}/

%description
Sub::Exporter provides a sophisticated alternative to Exporter.pm. It allows
for renaming, currying/sub-generation, and other cool stuff.


%prep
%autosetup -n Sub-Exporter-%{version}

find t/ -type f -exec \
     perl -MExtUtils::MakeMaker -e 'ExtUtils::MM_Unix->fixin(qw{{}})' \;

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README t/
%doc %{perl_vendorlib}/Sub/Exporter/Cookbook.pod
%doc %{perl_vendorlib}/Sub/Exporter/Tutorial.pod
%dir %{perl_vendorlib}/Sub/
%dir %{perl_vendorlib}/Sub/Exporter/
%{perl_vendorlib}/Sub/Exporter.pm
%{perl_vendorlib}/Sub/Exporter/Util.pm
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.988-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.988-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.988-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 cunshunxia <cunshunxia@tencent.com> - 0.988-1
- initial build
